ata_pci_remove_one
Prev | Chapter 4. libata Library | Next

## Name

ata_pci_remove_one — PCI layer callback for device removal

## Synopsis

`void ata_pci_remove_one (` | struct pci_dev * | pdev`)`;

## Arguments

`pdev`

  PCI device that was removed

## Description

PCI layer indicates to libata via this hook that hot-unplug or module unload event has occurred. Detach all ports. Resource release is handled via devres.

## LOCKING

Inherited from PCI layer (may sleep).

Prev | Up | Next
ata_std_ports | Home | ata_wait_register